/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.planning.tactical;

import com.vividsolutions.jts.geom.MultiPolygon;
import java.awt.datatransfer.Transferable;
import java.beans.IntrospectionException;
import java.io.IOException;
import nl.cloudfarming.client.area.field.PartFieldLayer;
import nl.cloudfarming.client.area.field.PartFieldLayerObject;
import nl.cloudfarming.client.geoviewer.LayerObjectNode;
import nl.cloudfarming.client.model.DataProvider;
import nl.cloudfarming.client.model.PartField;

/**
 * PartField node for data explorers
 * @author Merijn Zengers
 */
public class PartFieldNode extends LayerObjectNode<MultiPolygon, PartField, PartFieldLayerObject> {
    
    public PartFieldNode(PartFieldLayer layer, PartFieldLayerObject layerObject) throws IntrospectionException {
        super(layer, layerObject);
    }


    @Override
    public Transferable drag() throws IOException {
        return getBean();
    }    
}
